var angular = require('angular');
require('ngIonic');
require('uiRouter');

angular.module('commons.directives.workflowstatus.services', []);
angular.module('commons.directives.workflowstatus', ['commons.directives.sinoLoadingMark']);

angular.module('commons.directives.missiontabs', []);
angular.module('commons.directives.sinosearchmodal', []);
angular.module('commons.directives.sinoevent', []);

angular.module('commons.directives.longpress', []);
angular.module('commons.directives.toast', ['commons.services.common']);
angular.module('commons.directives.sinoLoadingMark', []);
angular.module('commons.directives.sinoConfig', ['commons.services.configService']);

angular.module('commons.directives.sinoSpeakerView', []);
angular.module('commons.directives.audioplayer', ['commons.directives.toast', 'commons.services']);
angular.module('commons.directives.compile', ['ngSanitize']);
angular.module('commons.directives.sinofocus', []);
angular.module('commons.directives.footerinput', ['commons.fileService', 'ionic',
  'commons.directives.sinofocus', 'commons.directives.toast']);
angular.module('commons.directives.imageview', ['ionic', 'commons.fileService']);

angular.module('commons.directives.contenteditable', ['ngSanitize']);

angular.module('commons.directives.sinoFooterGroup', []);

angular.module('commons.directives.sinoGoBackButton', ['ionic', 'commons.directives.toast', 'commons.services.timer']);
angular.module('commons.directives.sinoSelectOption', ['commons.services.selectOptionModal', 'commons.directives.sinoFooterGroup']);
angular.module('commons.directives.sinoConnected', ['commons.services.connected']);
angular.module('commons.directives.sinoModalBackButton', ['ionic', 'commons.directives.toast', 'commons.services.timer']);

angular.module('commons.services.common', ['ionic', 'ui.router', 'commons.services.appConfig']);
angular.module('commons.fileService', ['commons.services.common']);
angular.module('commons.services.appInitStop', ['commons.services.sinoNetwork'])

angular.module('commons.directives.breadcrumb', ['ionic']);

angular.module('commons.directives.sinoTabs', []);

angular.module('commons.services.timer', []);

angular.module('commons.services.sinoclick', ['commons.services.timer']);
angular.module('commons.services.httpProvider', []);
angular.module('commons.services.manifestCache', []);
angular.module('commons.services.authVisibleService', []);
angular.module('commons.services.appConfig',
  ['commons.services.authVisibleService',
   'commons.services.modules',
   'commons.services.configService']);
angular.module('commons.services.modules', []);
angular.module('commons.services.selectOptionModal', []);
angular.module('commons.services.sinoNetwork', []);
angular.module('commons.services.connected', ['commons.services.configService']);
angular.module('commons.services.userStatusMonitor', []);
angular.module('commons.services.configService', ['commons.services.common']);

angular.module('commons.directives.sinoclick', ['commons.services.timer', 'commons.services.sinoclick']);
angular.module('commons.directives.ionradiofix', []);

angular.module('commons.directives', [
  'commons.directives.missiontabs',
  'commons.directives.sinosearchmodal',
  'commons.directives.sinoevent',
  'commons.directives.footerinput',
  'commons.directives.compile',
  'commons.directives.longpress',
  'commons.directives.audioplayer',
  'commons.directives.imageview',
  'commons.directives.contenteditable',
  'commons.directives.sinoSpeakerView',
  'commons.directives.toast',
  'commons.directives.workflowstatus',
  'commons.directives.breadcrumb',
  'commons.directives.sinoclick',
  'commons.directives.sinoFooterGroup',
  'commons.directives.sinoGoBackButton',
  'commons.directives.sinoLoadingMark',
  'commons.directives.sinoTabs',
  'commons.directives.sinoModalBackButton',
  'commons.directives.sinoConfig',
  'commons.directives.ionradiofix']);

angular.module('commons.services', ['commons.services.common',
  'commons.services.timer',
  'commons.services.sinoclick',
  'commons.directives.toast',
  'commons.directives.sinoGoBackButton',
  'commons.services.httpProvider',
  'commons.services.manifestCache',
  'commons.services.appConfig',
  'commons.services.connected',
  'commons.services.sinoNetwork',
  'commons.services.userStatusMonitor',
  'commons.services.selectOptionModal',
  'commons.services.appInitStop']);

angular.module('appVersionUpdate', ['commons.services.sinoNetwork', 'commons.services', 'ui.router']);

angular.module('commons', ['commons.directives', 'commons.services', 'commons.fileService', 'appVersionUpdate']);
